Subject: Acai Berry not only makes you lose weight but can make you feel great!!

From: [email-masked]
Date: Mon, 29 Jun 2009 01:41:43 +0200

Try our quality Acai Products. Speed to visit http://xoxoope.cn

best regards Lorri Michael